Bug 178641 - Pup crashes with no network.
Summary: Pup crashes with no network.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
: 182548 183077 184497 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-22 22:47 UTC by Dave Burgess
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 16:41:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Burgess 2006-01-22 22:47:04 UTC
Description of problem:

If pup is started and the network conenction is inactive.  Pup crashes almost
instantly.  An error message briefly appears on the screen and then pup and the
error message disappear.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.
Steps to Reproduce:
1. Network conenction is inactive (for any reason).
2. Start pup.
3. It "barfs".
  
Actual results:


Expected results:

I'd expect an informative error message and for it not to just "abort".  I
should have been able to activate my network connection and then jsut tell pup
to retry.

Additional info:

Comment 1 Jeremy Katz 2006-01-22 23:57:39 UTC
Can you give the error message you receive?  Running from a terminal might help
to keep the error persistent.

Also, what version of pup is installed?

Comment 2 Philip Wyett 2006-02-26 18:05:39 UTC
The error is constant if you attempt to run pup (Software Updater) with no
network / internet connectivity. Below is an error dump from pup when this is
the case.

// Starts

Component: Software Updater
Summary: TB86fdcb55 repos.py:431:check:RepoError: Cannot find a valid baseurl
for repo: development

Traceback (most recent call last):
  File "/usr/sbin/pup", line 356, in ?
    main()
  File "/usr/sbin/pup", line 352, in main
    pup.run()
  File "/usr/sbin/pup", line 328, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 160, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 131, in reposSetup
    self.doRepoSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 244, in doRepoSetup
    repo.baseurlSetup()
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 550, in baseurlSetup
    self.check()
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 431, in check
    raise Errors.RepoError, \
RepoError: Cannot find a valid baseurl for repo: development

Local variables in innermost frame:
self: development

// Ends

Pup should ideally handle a lack of network / internet connectivity far more
elegantly.


Comment 3 Jeremy Katz 2006-02-27 16:41:16 UTC
Fixed in CVS

Comment 4 Jeremy Katz 2006-02-27 16:41:42 UTC
*** Bug 183077 has been marked as a duplicate of this bug. ***

Comment 5 Jeremy Katz 2006-02-27 21:49:43 UTC
*** Bug 182548 has been marked as a duplicate of this bug. ***

Comment 6 Jeremy Katz 2006-03-09 16:03:19 UTC
*** Bug 184497 has been marked as a duplicate of this bug. ***

Comment 7 David Lawrence 2006-06-28 01:44:03 UTC
Moving component to pirut. Sorry for the spam.


Note You need to log in before you can comment on or make changes to this bug.